summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md36
-rw-r--r--aur/bond-git/.SRCINFO (renamed from .SRCINFO)0
-rw-r--r--aur/bond-git/PKGBUILD (renamed from PKGBUILD)0
-rwxr-xr-xpkg.sh45
4 files changed, 81 insertions, 0 deletions
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..779182e
--- /dev/null
+++ b/README.md
@@ -0,0 +1,36 @@
+# Arch Linux Packages
+
+A collection of all the Arch Linux packages I maintain, currently AUR packages only.
+
+Should be identical to https://aur.archlinux.org/packages/?SeB=m&K=yuvadm
+
+Feel free to open issues/PRs in this repository for fixes to be merged into the AUR.
+
+## Usage
+
+The management of this repository is implemented using [git subtree](https://git.kernel.org/cgit/git/git.git/plain/contrib/subtree/git-subtree.txt) which allows all changes to be tracked in this single repo, as well as publish changes to each separate AUR package remote.
+
+Use the `pkg.sh` wrapper script to run the common commands:
+
+### Add New Package
+
+```bash
+$ ./pkg.sh add pkgname
+```
+
+### Update Package
+
+Edit the relevant files in `aur/$pkgname` and then
+
+```bash
+$ git commit -m "Bumped $pkgname to v1.2.3"
+$ ./pkg.sh update pkgname
+```
+
+### Import Packages
+
+Many packages can be initially imported by running
+
+```bash
+$ ./pkg.sh import pkgname1 pkgname2 pkgname3
+```
diff --git a/.SRCINFO b/aur/bond-git/.SRCINFO
index d216832..d216832 100644
--- a/.SRCINFO
+++ b/aur/bond-git/.SRCINFO
diff --git a/PKGBUILD b/aur/bond-git/PKGBUILD
index a918889..a918889 100644
--- a/PKGBUILD
+++ b/aur/bond-git/PKGBUILD
diff --git a/pkg.sh b/pkg.sh
new file mode 100755
index 0000000..521d814
--- /dev/null
+++ b/pkg.sh
@@ -0,0 +1,45 @@
+usage() {
+ echo ""
+ echo "Usage: $0 <add|update> <pkgname>"
+ echo " $0 import <pkgname> [pkgname] ..."
+ echo ""
+ echo "This script wraps the typical AUR creation and update procedures"
+ echo ""
+ exit 1
+}
+
+add_pkg() {
+ local pkgname="$1"
+ [[ -z $pkgname ]] && usage
+
+ git remote add -f $pkgname "ssh://aur@aur.archlinux.org/$pkgname.git"
+ git subtree add --prefix "aur/$pkgname" $pkgname master
+}
+
+update_pkg() {
+ local pkgname="$1"
+ [[ -z $pkgname ]] && usage
+
+ git subtree push --prefix "aur/$pkgname" $pkgname master
+}
+
+import_pkgs() {
+ for pkgname in "$@"
+ do
+ add_pkg $pkgname
+ done
+}
+
+case "$1" in
+ add)
+ add_pkg $2
+ ;;
+ update)
+ update_pkg $2
+ ;;
+ import)
+ import_pkgs "${@:2}"
+ ;;
+ *)
+ usage
+esac